from Products.Archetypes.atapi import process_types, listTypes
from Products.CMFCore import utils
from Products.CMFCore.DirectoryView import registerDirectory

# Product imports
from config import PROJECTNAME, SKINS_DIR, GLOBALS

# Import the content types modules
import combo
import specialselection


def initialize(context):
    content_types, constructors, ftis = process_types(
             listTypes(PROJECTNAME), 
             PROJECTNAME)
    
    registerDirectory(SKINS_DIR, GLOBALS)

    allTypes = zip(content_types, constructors)
    for atype, constructor in allTypes:
        kind = "%s: %s" % (PROJECTNAME, atype.portal_type)
        utils.ContentInit(kind,            
                          content_types      = (atype,),
                          extra_constructors = (constructor,),            
                          fti                = ftis,
                          ).initialize(context)
